<!--
 *******************************************************************************
 * Copyright (c) 2018 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->


<div class="overview-body">
  <div>
    <div class="maincontent">
      <div class="row">
        <div class="col-xs-4">
          <span style="font-size: 30px">Netzmaßnahmen</span>
        </div>
        <div class="col-xs-4 center" view="'list'">
          <div class="btn-group">
            <div class="btn btn-primary" (click)="view = 'list'" [class.active]="view === 'list'">
              Tabelle
            </div>
            <div class="btn btn-primary" (click)="view = 'calendar'" [class.active]="view === 'calendar'">
              Kalender
            </div>
          </div>
        </div>
        <div class="col-xs-4">
          <div *ngIf="createGridMeasureAllowed" id="goToGridMeasureDetailBtn" class="btn btn-primary pull-right" (click)="goToGridMeasureDetail()">
            Netzmaßnahme erstellen
          </div>
        </div>
      </div>
      <div class="panel-group">
        <div *ngIf="view ==='calendar'">
          <app-custom-calendar>
            loading ...
          </app-custom-calendar>
        </div>
        <div *ngIf="view ==='list'">
          <app-grid-measures [gridId]="'gridMeasures'" [withEditButtons]="true">
            loading ...
          </app-grid-measures>
        </div>
      </div>
    </div>
  </div>
</div>
